Get rules

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /project/{projectId}/rules

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required

Responses

  • 200 */*

    OK

    One of:
GET /project/{projectId}/rules
curl \
 --request GET 'https://live.smartpmtech.com/project/{projectId}/rules' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
[
  {
    "name": "string",
    "id": 42,
    "type": "string",
    "importLogId": 42,
    "bulkChangeItems": [
      {
        "valueType": "VALUE",
        "field": "string",
        "id": 42,
        "newValue": "string"
      }
    ],
    "bulkChangeExclusions": [
      {
        "id": 42,
        "activityId": 42
      }
    ],
    "filterId": 42
  }
]